Overview
Features
Download
Documentation
Community
Add-Ons & Services

sqlite 3.7.2 fixes old corruption bug (since 3.6.16)

A general discussion forum.

sqlite 3.7.2 fixes old corruption bug (since 3.6.16)

Postby SalvorHardin » 24 Aug 2010, 15:00

Hi!

It seems sqlite3 has a database corruption bug since 3.6.16, that was fixed in 3.7.2.

Please consider updating POCO 1.3.7/1.4.0 with sqlite 3.7.2.

More info at:
http://www.sqlite.org/src/info/5e10420e8d

ps

POCO looks like an amazing library. I'm looking forward to using POCO for the 1st time on my current project (specifically for ZIP, sqlite3, networking, and multithreading.) I've checked out POCO 1.3.7 and will probably start using it this week.
SalvorHardin
 
Posts: 29
Joined: 24 Aug 2010, 14:47

Re: sqlite 3.7.2 fixes old corruption bug (since 3.6.16)

Postby guenter » 25 Aug 2010, 20:47

I plan to upgrade to the latest SQLite release before we finish the next release.
guenter
 
Posts: 1107
Joined: 11 Jul 2006, 16:27
Location: Austria


Return to General Discussion

Who is online

Users browsing this forum: No registered users and 1 guest

cron